
Robotics Systems Types - Tasks #845
Tasks # 843 (Resolved): Initial Release
Mark deprecated types as discouraged and move from stable to sandbox
02/02/2012 03:23 PM - S. Wrede

Status: Resolved Start date: 02/02/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: protocol Estimated time: 0.00 hour
Target version:
Description

Current candidates:

    -  JointState
    -  ProprioceptionState

Process:

    -  Move proto file to sandbox
    -  Mark deprecation by adding a machine-readable comment to the proto-file itself

Associated revisions
Revision e77418c6 - 02/07/2012 05:32 PM - J. Moringen
Marked JointState, ProprioceptionState as deprecated
fixes #845
    -  proto/sandbox/rst/kinematics/JointState.proto: moved

  proto/stable/rst/kinematics/JointState.proto ->
  proto/sandbox/rst/kinematics/JointState.proto; marked as deprecated
  via doxygen-like comment

    -  proto/sandbox/rst/kinematics/ProprioceptionState.proto: similar

History
#1 - 02/07/2012 04:08 PM - J. Moringen
- Subject changed from Mark Deprecated Types as Discouraged and  from Stable to Sandbox to Mark deprecated types as discouraged and move from 
stable to sandbox
- Description updated

#2 - 02/07/2012 05:33 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r204.
